Page MenuHomePhabricator

Update Special:BlockList with namespace blocks
Closed, ResolvedPublic2 Story Points

Description

Similar to the API, add the namespaces to the BlockList table view.

Pages are done in an ordered list and we should do similar for Namespaces.

Add tests for this additional info.

Details

Related Gerrit Patches:

Event Timeline

aezell updated the task description. (Show Details)Sep 21 2018, 6:33 PM
aezell set the point value for this task to 2.
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.

Change 475434 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Add Namespace Restrictions to Special:BlockList

https://gerrit.wikimedia.org/r/475434

dbarratt reassigned this task from dbarratt to Tchanders.Dec 21 2018, 12:50 AM
dbarratt claimed this task.Jan 3 2019, 6:42 PM
dbarratt added a subscriber: Tchanders.

I just noticed an odd thing... if you are using the API to create a block (example) you can specify * which is "All namespaces".

I think it's a little odd that we would allow you to create a partial block for all namespaces, but that's the same as someone getting a list of all of the namespaces and feeding that back to us (which is technically fine). Therefore since this is a feature of the API and this feature is hard-coded, I don't think we should do anything, but I wanted to make a note of it here.

@TBolliger Is there a limit to the number of namespaces I can add? I thought we decided 10? Or is the "natural" limit fine (i.e. there aren't that many namespaces anyways, so if someone selects them all, who cares?)

Good to know about the asterisk. I'd agree with your assessment — acknowledge it here but don't change anything.

I do not suggest a limit for namespaces. Do we need one?

I do not suggest a limit for namespaces. Do we need one?

I don't think it's necessary.

dbarratt closed this task as Resolved.Jan 23 2019, 6:50 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.

Change 475434 merged by jenkins-bot:
[mediawiki/core@master] Add Namespace Restrictions to Special:BlockList

https://gerrit.wikimedia.org/r/475434